App::Yath::Plugin::YathUI(3pm)

NAME
App::Yath::Plugin::YathUI - Plugin to interact with a YathUI server

DESCRIPTION
If you have a Yath-UI Test2::Harness::UI server, you can use this module to have yath automatically upload logs or retrieve durations data

PROVIDED OPTIONS

  COMMAND OPTIONS
YathUI Options

--yathui-api-key ARG
--yathui-api-key=ARG
--no-yathui-api-key
    Yath-UI API key. This is not necessary if your Yath-UI instance is set to single-user

--yathui-coverage
--no-yathui-coverage
    Poll coverage data from Yath-UI to determine what tests should be run for changed files

--yathui-durations
--no-yathui-durations
    Poll duration data from Yath-UI to help order tests efficiently

--yathui-grace
--no-yathui-grace
    If yath cannot connect to yath-ui it normally throws an error, use this to make it fail gracefully. You get a warning, but things keep going.

--yathui-long-duration 10
--no-yathui-long-duration
    Minimum duration length (seconds) before a test goes from MEDIUM to LONG

--yathui-medium-duration 5
--no-yathui-medium-duration
    Minimum duration length (seconds) before a test goes from SHORT to MEDIUM

--yathui-mode summary
--yathui-mode qvf
--yathui-mode qvfd
--yathui-mode complete
--no-yathui-mode
    Set the upload mode (default 'qvfd')

--yathui-project ARG
--yathui-project=ARG
--no-yathui-project
    The Yath-UI project for your test results

--yathui-retry
--no-yathui-retry
    How many times to try an operation before giving up

    Can be specified multiple times

--yathui-upload
--no-yathui-upload
    Upload the log to Yath-UI

--yathui-url http://my-yath-ui.com/...
--uri http://my-yath-ui.com/...
--no-yathui-url
    Yath-UI url

SOURCE
The source code repository for Test2-Harness can be found at http://github.com/Test-More/Test2-Harness/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/